M_SHM_ALLOC(3)

EXPERIMENTAL_FUNC
m_shm_alloc - Allocate a shared memory segment.

SYNOPSIS
#include <karma_m.h>

int m_shm_alloc

(uaddr size, mode_t prot)

DESCRIPTION
Allocate a shared memory segment.

size
    The size in bytes of the segment.

prot
    The protection mask.

RETURN VALUE
The shared memory ID on success, else -1.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/